Skip to content

Opens an approval request.

POST
/v1/m/governance/approvals
curl --request POST \
--url https://example.com/v1/m/governance/approvals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "action": "example", "escalate_in_seconds": 1, "expires_in_seconds": 1, "reason": "example", "required_approvals": 1, "subject_kind": "example", "subject_ref": "example" }'

Opens an approval request. Write-tier (any editor may request); self-audited.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
action
required
string
>= 1 characters <= 128 characters
escalate_in_seconds
integer format: int64
<= 31536000
expires_in_seconds
integer format: int64
<= 31536000
reason
string
<= 4096 characters
required_approvals
integer
<= 64
subject_kind
string
<= 128 characters
subject_ref
string
<= 4096 characters
Example generated
{
"action": "example",
"escalate_in_seconds": 1,
"expires_in_seconds": 1,
"reason": "example",
"required_approvals": 1,
"subject_kind": "example",
"subject_ref": "example"
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}